f <- function(x, y) besselJ(sqrt(x^2 + y^2), 0)
x <- seq(-10, 10, length=100)
y <- x
z <- outer(x, y, f)
persp(x, y, z, theta=45, phi=30, col="coral")
title(expression(paste(f(x, y) == J[0], bgroup("(", sqrt(x^2 + y^2), ")"))))
